using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class HostRCU
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
		/// <summary>
		/// HostID
		/// </summary>
		public virtual int HostID
		{
			get;
			set;
		}
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }
        /// <summary>
        /// IP类型：0未知，1自动，2手动
        /// </summary>
        public virtual int IPType
        {
            get;
            set;
        }
		/// <summary>
        /// TypeNumber
		/// </summary>
        public virtual string TypeNumber
		{
			get;
			set;
		}
		/// <summary>
        /// LanIP
		/// </summary>
        public virtual string LanIP
		{
			get;
			set;
		}
		/// <summary>
        /// ServerIP
		/// </summary>
        public virtual string ServerIP
		{
			get;
			set;
		}
		/// <summary>
        /// SubnetMask
		/// </summary>
        public virtual string SubnetMask
		{
			get;
			set;
		}
        /// <summary>
        /// Gateway
        /// </summary>
        public virtual string Gateway
        {
            get;
            set;
        }
        /// <summary>
        /// LanPort
        /// </summary>
        public virtual int LanPort
        {
            get;
            set;
        }
        /// <summary>
        /// DNS
        /// </summary>
        public virtual string DNS
        {
            get;
            set;
        }
        /// <summary>
        /// Version
        /// </summary>
        public virtual string Version
        {
            get;
            set;
        }
		/// <summary>
        /// RunTime
		/// </summary>
        public virtual DateTime RunTime
		{
			get;
			set;
		}
        /// <summary>
        /// LauncherVersion
        /// </summary>
        public virtual string LauncherVersion
        {
            get;
            set;
        }
        /// <summary>
        /// MAC
        /// </summary>
        public virtual string MAC
        {
            get;
            set;
        }
        /// <summary>
        /// HotelCode
        /// </summary>
        public virtual string HotelCode
        {
            get;
            set;
        }
        /// <summary>
        /// RoomTypeID
        /// </summary>
        public virtual int RoomTypeID
        {
            get;
            set;
        }
        /// <summary>
        /// ConfigVersion
        /// </summary>
        public virtual string ConfigVersion
        {
            get;
            set;
        }
        /// <summary>
        /// RoomStatusID
        /// </summary>
        public virtual int RoomStatusID
        {
            get;
            set;
        }
        /// <summary>
        /// RoomStatus
        /// </summary>
        public virtual string RoomStatus
        {
            get;
            set;
        }
        /// <summary>
        /// Season
        /// </summary>
        public virtual string Season
        {
            get;
            set;
        }
        /// <summary>
        /// LockStatus
        /// </summary>
        public virtual int LockStatus
        {
            get;
            set;
        }
        /// <summary>
        /// ExpireTime
        /// </summary>
        public virtual DateTime ExpireTime
        {
            get;
            set;
        }
        /// <summary>
        /// SetExpireTime
        /// </summary>
        public virtual DateTime SetExpireTime
        {
            get;
            set;
        }
        /// <summary>
        /// RoomNumber
        /// </summary>
        public virtual string RoomNumber
        {
            get;
            set;
        }
        /// <summary>
        /// RoomTypeRemark
        /// </summary>
        public virtual string RoomTypeRemark
        {
            get;
            set;
        }
        /// <summary>
        /// RoomRemark
        /// </summary>
        public virtual string RoomRemark
        {
            get;
            set;
        }
        /// <summary>
        /// Core
        /// </summary>
        public virtual string Core
        {
            get;
            set;
        }
        /// <summary>
        /// Model
        /// </summary>
        public virtual string Model
        {
            get;
            set;
        }
        /// <summary>
        /// HotelName
        /// </summary>
        public virtual string HotelName
        {
            get;
            set;
        }
        /// <summary>
        /// RoomType
        /// </summary>
        public virtual string RoomType
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateTime
        /// </summary>
        public virtual DateTime UpdateTime
        {
            get;
            set;
        }
	}
}
